Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.gen.structure
Class ComponentStrongholdStairs2

    java.lang.Object
      net.minecraft.world.gen.structure.StructureComponent
          net.minecraft.world.gen.structure.ComponentStrongholdStairs
              net.minecraft.world.gen.structure.ComponentStrongholdStairs2

    public class ComponentStrongholdStairs2

extends ComponentStrongholdStairs

Field Summary
`ArrayList` | `field_75026_c`
`net.minecraft.world.gen.structure.StructureStrongholdPieceWeight` | `strongholdPieceWeight`
`ComponentStrongholdPortalRoom` | `strongholdPortalRoom`

Constructor Summary
`ComponentStrongholdStairs2(int par1, Random par2Random, int par3, int par4)`

Method Summary
`ChunkPosition` | `getCenter()`

Methods inherited from class net.minecraft.world.gen.structure.ComponentStrongholdStairs
`addComponentParts, buildComponent, getStrongholdStairsComponent`

Methods inherited from class net.minecraft.world.gen.structure.StructureComponent
`findIntersecting, getBoundingBox, getComponentType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### strongholdPieceWeight

    public net.minecraft.world.gen.structure.StructureStrongholdPieceWeight strongholdPieceWeight

### strongholdPortalRoom

    public ComponentStrongholdPortalRoom strongholdPortalRoom

### field_75026_c

    public ArrayList field_75026_c

Constructor Detail

### ComponentStrongholdStairs2

    public ComponentStrongholdStairs2(int par1,
                                      Random par2Random,
                                      int par3,
                                      int par4)

Method Detail

### getCenter

    public ChunkPosition getCenter()

  Overrides:
    `getCenter` in class `StructureComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD